PDA

View Full Version : Il2 and Vista and maybe Ubuntu



jayhall0315
03-12-2009, 05:13 PM
Last time I tried Vista in late 2007, my opinions were not high. It took up 900 MB of memory just to run the desktop and widgets, it was slow and there were many crashes along with RAID 0 install problems.

Now that Service Pack 1 is out, how compatible is IL2 1946 with Vista ? I searched the forums for previous Vista and Il2 1946 articles and still did not find a setup guide tweaking type article that I am looking for. Any suggestions or links ?

Also,

1 - Is IL2 1946 4.08m fully compatible with Vista SP1 ?

2 - What about Teamspeak and Hyperlobby ?

On another note, I am working with some others on updating the source code for Wine to run IL2 1946 better along with using CH Products controllers with Ubuntu. If I make significant progress I will post here. Ubuntu is far more stable, is immune to almost all viruses and does not require the constant monthly and weekly updates that Windows does. To quote my lab mates, "It just works with no BS !"

Jay

Skoshi Tiger
03-12-2009, 05:35 PM
I've been running Il2-1946, hyerloby and team speakon Vista 64 since last year and it's all running fine.

The only problems encountered are the usual setup issues and the dreaded nvlddmkm error which has fairly much been put to rest

see

http://forums.ubi.com/eve/foru...141073127#3141073127 (http://forums.ubi.com/eve/forums/a/tpc/f/49310655/m/2671079417?r=3141073127#3141073127)

For the solution(s) to the nvlddmkm error.

Citizen86
03-12-2009, 06:41 PM
I'm running Vista 32-bit Home Premium... haven't had a single problem yet....

Romanator21
03-12-2009, 08:50 PM
IL-2 1946 Works just fine on my vista, and I only have 1 Gb of RAM.

There are a few things which may need to be done in some cases to get IL-2 and hyperlobby working.

For IL-2:
Do not install into Program Files. Create another folder like "IL-2" When you insert the DVD, IL-2 will not work automatically. You will have to open the setup file on the disk manually as an administrator. When playing the game you will need to run also as an administrator. Some have said that the game runs better in XP compatibility mode, but I haven't noticed any change

For Hyperlobby:
It must also be run as an administrator if you don't want any repeated error messages: "unexpected error:closing" although this is not a problem. However in Vista, some buttons are lost, and it is difficult to use. To fix this open your hyperlobby folder, skins, default. Open the config file, and press Ctrl+h. In the new window type ".." (two dots) into find what, and ... into replace with. You will need to do this with each hyperlobby skin you download.

I hope this helps you, happy flying.

VW-IceFire
03-12-2009, 09:09 PM
So long as you do what Romanator21 has posted ...no problems with Vista at all. I was thankful to ditch XP...its run its course and now its Vistas turn. Although Windows 7 will be here before you know it.